PLATINUM DOCS
ApiVolumes

POST /v1/volumes/{id}/detach

POST
/v1/volumes/{id}/detach

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string
Length8 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/volumes/string/detach" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "volume_id": "string",  "sandbox_id": "string",  "host_id": "string",  "mount_path": "string",  "subpath": "string",  "mode": "rw",  "driver": "local",  "state": "pending",  "error": "string",  "attached_at": "string",  "detached_at": "string",  "created_at": "string",  "updated_at": "string",  "consistency": {    "model": "close-to-open",    "atomic_append": true,    "advisory_locks": true,    "shared_file_writes": "unsafe",    "attachment_model": "single-writer",    "safe_pattern": "string"  },  "durability": {    "class": "remote-object-store",    "acknowledged_writes": "accepted-by-the-remote-object-store",    "replicated": "unavailable",    "scope": "single-region-single-bucket",    "buffered_writes": "not-observable",    "atomic_multi_file_snapshot": false,    "barrier_supported": true,    "verification": "barrier"  }}
{  "id": "string",  "volume_id": "string",  "sandbox_id": "string",  "host_id": "string",  "mount_path": "string",  "subpath": "string",  "mode": "rw",  "driver": "local",  "state": "pending",  "error": "string",  "attached_at": "string",  "detached_at": "string",  "created_at": "string",  "updated_at": "string",  "consistency": {    "model": "close-to-open",    "atomic_append": true,    "advisory_locks": true,    "shared_file_writes": "unsafe",    "attachment_model": "single-writer",    "safe_pattern": "string"  },  "durability": {    "class": "remote-object-store",    "acknowledged_writes": "accepted-by-the-remote-object-store",    "replicated": "unavailable",    "scope": "single-region-single-bucket",    "buffered_writes": "not-observable",    "atomic_multi_file_snapshot": false,    "barrier_supported": true,    "verification": "barrier"  }}
Empty